<?php
include_once('c_rmv.php') ;
class c_page_cab_rmv_report_mo extends c_page_cab_rmv
{
 public $h1='Отчет по МО' ;
 public $use_jwplayer=1 ;
 public $view_by_space_filter=1 ;
 public $allow_access_to_rol=2 ; // ВНИМАНИЕ!!!

 function block_main()
 {  include_once(_DIR_EXT.'/aspmo_rmv/report_mo_rmv.php') ;
    $report_obj=new report_mo_rmv() ;
     if (MEMBER()->rol!=1 and MEMBER()->rol!=106) $report_obj->filter['group_id']=MEMBER()->cur_group_id ; // только с терминалов своей группы для фельдщеров
    //if (MEMBER()->info['rol']>1)  $report_obj->filter['doctor_id']=MEMBER()->id ; // для доктора показываем МО только его, для администратора - всех
     //if (MEMBER()->info['rol']>1)  $options['doctor_id_or_any']=MEMBER()->pkey ; // только с терминалов своей группы
    //$report_obj->filter['order']='pkey desc';
    $report_obj->setting() ;
    //if (_sizeof($report_obj->filter) or $report_obj->view_by_space_filter)
        $report_obj->view_as_HTML(['dont_use_member_personal_filter'=>1]) ;
    /*else
      {  ?><h2 class="center"><?echo  $report_obj->title?></h2><?
         ?><div class="alert">Не заданы параметры поиска</div><?
      }*/
 }




}

?>
